The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]



"подскажите как установить репозитарий и пакеты из него?"
Вариант для распечатки  
Пред. тема | След. тема 
Форум Открытые системы на сервере (Разное / Linux)
Изначальное сообщение [ Отслеживать ]

"подскажите как установить репозитарий и пакеты из него?"  –1 +/
Сообщение от lotric (ok), 01-Апр-20, 22:13 
https://launchpad.net/~ubuntu-security-proposed/ archive/ubuntu/ppa/ build/14...

нужен пакет по ссылке и все что в списках Binary packages
через консоль, ubuntu 19 server

хочу установить php 7.0.30 отсюда
со всеми модулями

sudo add-apt-repository ppa:ubuntu-security-proposed/ppa
sudo apt-get update

# apt update
Hit:1 http://ppa.launchpad.net/ondrej/php/ubuntu eoan InRelease
Hit:2 http://ppa.launchpad.net/ubuntu-security-proposed/ppa/ubuntu eoan InRelease
Reading package lists... Done


apt search php7.0
он мне выдает то что было php7.0.33 а мне надо версию по первой ссылке 7.0.30

что не так?

apt-cache search php7.0
php-imagick - Provides a wrapper to the ImageMagick library


когда то стоял php7.0.33 я его удалил и его репо
щас пот такое выводит
apt install php7.0
Reading package lists... Done
Building dependency tree
Reading state information... Done
Note, selecting 'php7.0-exif' for regex 'php7.0'
Note, selecting 'php7.0-simplexml' for regex 'php7.0'

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения [Сортировка по времени | RSS]


1. "подскажите как установить репозитарий и пакеты из него?"  +/
Сообщение от Анонимemail (1), 01-Апр-20, 23:53 
> Hit:1 http://ppa.launchpad.net/ondrej/php/ubuntu eoan InRelease
> удалил и его репо

Что-то не сходится

Ответить | Правка | Наверх | Cообщить модератору

2. "подскажите как установить репозитарий и пакеты из него?"  +/
Сообщение от Анонимemail (1), 01-Апр-20, 23:57 
Зы
Я ХЗ как там в бубунте, но по идее должен канать вариант установки типа
apt-get install php7.0.30

T.е с указанием конкретной версии.


Ответить | Правка | Наверх | Cообщить модератору

3. "подскажите как установить репозитарий и пакеты из него?"  +/
Сообщение от lotric (ok), 02-Апр-20, 08:01 
> Зы
> Я ХЗ как там в бубунте, но по идее должен канать вариант
> установки типа
apt-get install php7.0.30

> T.е с указанием конкретной версии.

root@ubuntu:~# apt-get install php7.0.30
Reading package lists... Done
Building dependency tree      
Reading state information... Done
E: Unable to locate package php7.0.30
E: Couldn't find any package by glob 'php7.0.30'
E: Couldn't find any package by regex 'php7.0.30'

Ответить | Правка | Наверх | Cообщить модератору

4. "подскажите как установить репозитарий и пакеты из него?"  +/
Сообщение от Аноним (4), 02-Апр-20, 09:25 
>[оверквотинг удален]
>> Я ХЗ как там в бубунте, но по идее должен канать вариант
>> установки типа
apt-get install php7.0.30

>> T.е с указанием конкретной версии.
> root@ubuntu:~# apt-get install php7.0.30
> Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> E: Unable to locate package php7.0.30
> E: Couldn't find any package by glob 'php7.0.30'
> E: Couldn't find any package by regex 'php7.0.30'

7.0.30 нет такого порта в репе!
http://ppa.launchpad.net/ondrej/php/ubuntu/pool/main/p/php7.0/
Используйте 7.0.33, я не думаю что уж большие изменения были сделаны внутри ветки за 3 релиза.

Ответить | Правка | Наверх | Cообщить модератору

6. "подскажите как установить репозитарий и пакеты из него?"  +1 +/
Сообщение от DiabloPC (ok), 02-Апр-20, 09:27 
> Используйте 7.0.33, я не думаю что уж большие изменения были сделаны внутри
> ветки за 3 релиза.

Кстати да: Интересно чем таким 7,0,33 ТСу не угодил %)

Ответить | Правка | Наверх | Cообщить модератору

7. "подскажите как установить репозитарий и пакеты из него?"  +/
Сообщение от lotric (ok), 02-Апр-20, 10:30 
>> Используйте 7.0.33, я не думаю что уж большие изменения были сделаны внутри
>> ветки за 3 релиза.
> Кстати да: Интересно чем таким 7,0,33 ТСу не угодил %)

ну не работают сайты на php выше 7.0.32 и ниже не помню 7.0.2 вроде

Ответить | Правка | Наверх | Cообщить модератору

5. "подскажите как установить репозитарий и пакеты из него?"  +/
Сообщение от DiabloPC (ok), 02-Апр-20, 09:25 
Смотрим внимательнее:
В http://ppa.launchpad.net/ubuntu-security-proposed/ppa/ubuntu.../ нет никакого пыха.
А в старом репе, который всё еще подключен, какраз .0.33 лежит http://ppa.launchpad.net/ondrej/php/ubuntu/pool/main/p/php7.0/

ЗЫ
Полное название, по крайней мере судя по одному из рра, выглядит вот так:

php7.0_7.0.xx

Ответить | Правка | К родителю #3 | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2021 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру